*{
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}
body{
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background: white;
}
button{

}
button:hover{
  border-width: 2px;
}
button:active{
  border-width: 0px;
}

.header{
  width: 90%;
  display: flex;
  height: 10vh;
  margin-bottom: 25px;
  margin-top: 40px;
  align-items: center;
}
.header-container{
  display: flex;
  flex: 1;
  margin-left: 50px;
}
.logo{
  font-size: 30px;
  background: linear-gradient(to right, #494964, #6f6f89);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transform: translate(20px, 0px);
  transition: transform 1s;
}
hr{
  border: 1px solid maroon;
  margin-bottom: 50px;
}
.aboutme{
  display: flex;
  align-items: center;
  width: 90%;
  min-height: 80vh;
}
.about-text{
  width: 100%;
  text-align: justify;
}
.aboutme-introduction{
  display: flex;
  justify-content: space-between;
  margin-bottom: 100px;
}
.aboutme-introduction-text{
  margin-right: 100px;
}
.aboutme-heading{
  display: flex;
  color: black;
}

.aboutme-introduction h2{
  font-size: 25px;
  font-weight: 500;
  margin-bottom: 20px;
  background: linear-gradient(to right, #494964, #6f6f89);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transform: translate(50px, 0px);
  transition:  transform 2s;
}
.aboutme-body{
}
.aboutme-text{
  width: 100%;
  font-size: 16px;
  color: #585772;
  margin-left: 50px;
  transition: color 2s;
}
.more {
	display: flex;
  flex-wrap: wrap;
  padding-bottom: 160px;
  margin-left: 20px;
}

.github-link{
    padding: 1em 1.5em;
    cursor: pointer;
    font-size: 16px;
    border: 1px solid maroon;
    color: #585772;
    margin-top: 20px;
    margin-bottom: 200px;
    margin-left: 30px;
}
.contactme-link{
    background: maroon;
    padding: 1em 1.5em;
    cursor: pointer;
    font-size: 16px;
    border: none;
    color: white;
    margin-bottom: 200px;
    margin-left: 30px;
}
.profile{
  flex: 1;
 display: flex;
 justify-content: center;
 margin-left: 120px;
}
.profilepic{
  width: 250px;
  height: 250px;
  border-radius: 150px;
  animation: drop 1.5s ease;
}
@keyframes drop {
	0% {
		opacity: 0;
		transform: translateY(-80px);
	}
	100% {
		opacity: 1;
		transform: translateY(0px);
	}
}
.projects{
  width: 90%;
  display: flex;
  flex-direction: column;
}
.projects-heading{
    display: flex;
    margin-bottom: 80px;
}
.projects-heading h2{
  background: linear-gradient(to right, #494964, #6f6f89);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transform: translate(50px, 0px);
  transition: transform 1s;
  display: flex;
}
.project{
  display: flex;
  flex-direction: column;
  margin-top: 10px;
}
.project h3{
  margin-bottom: 20px;
  margin-left: 60px;
  background: linear-gradient(to right, #494964, #6f6f89);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.project-img{
  display: flex;
  flex-direction: column;
}
.project-img img{
  width: 50%;
  height: 40%;
  margin-left: 50px;
  border: 2px solid  lightgrey;
  border-radius: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.project-links{
  display: flex;
  height: 10vh;
  margin-top: 20px;
  margin-left: 50px;
}
.project-link{
  background: transparent;
	width: 75px;
	height: 25px;
	cursor: pointer;
	font-size: 16px;
	border: none;
	color: maroon;
	margin: 0px 0px 0px 10px;
}

.skills-section{
  display: flex;
  flex-direction: column;
  margin-top: 100px;
  margin-bottom: 80px;
}
.skill-heading{
  display: flex;
}
.skill-heading h2{
  background: linear-gradient(to right, #494964, #6f6f89);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  transform: translate(50px, 0px);
  transition: transform 1s;
  margin-bottom: 50px;
}
.skills{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  flex-wrap: wrap;
  margin-left: 20px;
}
.skill{
  display: flex;
  justify-content: center;
  align-items: center;
  background: maroon;
  color: white;
  border-radius: 5px;
  width: 130px;
  height: 30px;
  cursor: text;
  margin-bottom: 30px;
  margin-right: 10px;
}
.social-links{
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: maroon;
  height: 30vh;
}
.social-links ul{
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.social-links ul, li, a{
  text-decoration: none;
  list-style: none;
  color: white;
}

@media screen and (max-width: 1182px) {
  .aboutme{
    flex-direction: column;
  }
  .profile{
    margin-top: 50px;
    margin-left: 0px;

  }

}
@media screen and (max-width: 400px) {
    .readmore-btn{
        margin-left: 40px;
    }
    .contactme-btn{
        margin-right: 20px;
        margin-left: 0px;
    }

}
@media screen and (max-width: 727px){
  .project-img img{
    width: 80%;
    height: 70%;
  }
  .aboutme-introduction{
    flex-direction: column;
  }
}

.space-down{
  margin-bottom: 20px;
}